import { integer, pgTable, text } from "drizzle-orm/pg-core";

export const dane = pgTable("dane", {
  id: integer().primaryKey().notNull(),
  nr_pytania: integer().notNull(),
  pytanie: text().notNull(),
  odp_a: text(),
  odp_b: text(),
  odp_c: text(),
  poprawna_odp: text().notNull(),
  media: text(),
  kategorie: text().notNull(),
  nazwa_media_pjm_tresc_pyt: text(),
  nazwa_media_pjm_tresc_odp_a: text(),
  nazwa_media_pjm_tresc_odp_b: text(),
  nazwa_media_pjm_tresc_odp_c: text(),
  pytanie_eng: text().notNull(),
  odp_a_eng: text(),
  odp_b_eng: text(),
  odp_c_eng: text(),
  pytanie_de: text().notNull(),
  odp_a_de: text(),
  odp_b_de: text(),
  odp_c_de: text(),
  pytanie_ua: text(),
  odp_a_ua: text(),
  odp_b_ua: text(),
  odp_c_ua: text(),
});

export const punkty = pgTable("punkty", {
  nr_pytania: integer().primaryKey().notNull(),
  liczba_pkt: integer().notNull(),
});
